Application: RugbySketcher

TACTIC3D Rugby Sketcher - Manuel de référence
Next page >

RugbySketcher

Reference guide

Created with help of DrExplain

Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation RugbySketcher


Application: RugbySketcher

TACTIC3D Rugby Sketcher - Manuel de référence
< Previous page Next page >

RugbySketcher

Documentation in english for Tactic3D Sketcher dedicated to rugby.

The contents of RugbySketcher

Window Rugby Sketcher
Deployment

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation RugbySketcher


Topic: Window Rugby Sketcher

TACTIC3D Rugby Sketcher - Manuel de référence

Window Rugby Sketcher

This is the reference maual of the Tactic3D software handball dedicated to handball. You will find all details concerning the interface and the features of the application.
Window Rugby Sketcher

The contents of Window Rugby Sketcher

Features
Keyboard Shortcuts
List of gestures
Integration/output of 3D animation

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Window Rugby Sketcher


Topic: Features

TACTIC3D Rugby Sketcher - Manuel de référence

Features

Record

Starts the record of the animation step.
Shortcut keyboard = R (as record)
[Top]

Play

Play the recorded animation. Starts from the selectionned step at the bottom of the screen.
Shortcut = Space key
[Top]

Stop

Stops the animation if the animation is playing. Stops the recording also.
[Top]

Semi-3D

Switchs to the half 3D view. You can turn around the field by clicking on the left mouse button and holding it, then move to the left or to the right.
[Top]

Trajectory

Hide or display the motion path of all players.
[Top]

Erase

Removes a player or the ball of the current time period AND the following. Indeed, as in the real world, if you delete a player from a time frame at a given time, the player can not reappear or continue the action a second later magically.
Example : if the current value of time scale is 1s, the strokes of the selected player will be erased from 1s until the end (here 3s). It will remain only the movement between 0 and 1s.
[Top]

Undo

Undo the last action (5 undo maximum).
Shortcut : Backspace key.
[Top]

Referee

Create the "referee" character to put him on the field. Displayed in black inside the Top view with the "R" letter. Appears in black short and Tshirt.
Thus, you can modelize training exercises and indicate where the referee should be located, and you can have the referee's point of view.
[Top]

Coach

Create the "coach" character to put him on the field. Displayed in black inside the Top view with the "C" letter. Appears in gray sweat suit.
Thus, you can modelize training exercises and indicate where the coach should be located.
[Top]

Tools

Hides/displays the submenu with tools and coach and referee.
[Top]

3D Simulation

11. 3D Simulation
Launch the 3D simulation software player (3D viewer). The software generates the animation and this one is automatically reloaded in the 3D viewer3D. A latency can occur (a few seconds), depending on the length of the animation and the number of the players.
Shortcut : Enter key.
[Top]

New animation

12. New animation
Create a new animation. Asks confirmation before deleting the previous one.
Can be used to erase all the current work.
Shortcut : N key (as New).
[Top]

Open animation

13. Open animation
Open an existing file. Une confirmation est demandée si un travail est en cours.
Shortcut : O key.
[Top]

Share Coach->players

14. Share Coach->players
Displays the screen that allow you to set the deployment feature.
[Top]

Ball

Put the ball on the field.
Do not put the ball just near a player, because it could be difficult to select the player who is just near the ball.
WARNING : you can not add the ball after you've started the record of the animation. If you forgot the ball, you have to recreate from scratch the animation. It's due to avoid a "teleportation effect".
[Top]

Plot

Adds a plot on the ground.
[Top]

Colored area

17. Colored area
Allows to draw free-form area to be transformed into colored square in the 3D world. This area can be used to show to the players a hole in the defense, or a target area.
You can have several colored square during the same time interval.
You can associate an colored square at each step of the animation, or you can set the duration of its display to 0.5s for example, or at least, you can set the duration to display the colored square during the entire animation.
[Top]

Comment

Adds a comment that will be displayed during the time interval specified.
Allows to display a pedagogical comment in a window to the players.
The comment can be hidden by pressing the button "C" (as "C"omment).
The comment can be displayed in normal font, in red color, or with a blink effect to increase the focus on the comment.
[Top]

Arrows

Permet de dessiner des flèches apparaissant en surimpression sur le terrain. Vous pouvez changer la couleur une fois la flèche tracée.
Vous pouvez avoir plusieurs flèches sur le terrain à un même instant.
Vous pouvez également associer une flèche à chaque étape de l'animation, ou en changer la durée pour qu'elle apparaisse à un moment donné de l'animation ou bien qu'elle soit présente pendant toute l'animation.
[Top]

List of the steps

20. List of the steps
Hide/display the list of the steps.
.
[Top]

Step

Display the list of the steps of the animation. The biggest is the current one.
You can navigate by clicking on each preview of the list.
The red line on the top shows the elapsed time from the beginning of the current step.
[Top]

Elapsed time

22. Elapsed time
The red line on the top shows the elapsed time from the beginning of the current step.
When you start to trace the movement of a player, the red line shows if the player is moving during all the length of the current step. If his movement stops before the red line reaches the end of the step, then the player will make a pause in the final animation.
[Top]

Create a new step

23. Create a new step
Add a new step at the end of the last step. The button is only available whe you are in Recording mode.
[Top]

Current elapsed time

24. Current elapsed time
Elapsed time of the current step.
[Top]

Total duration of the step

25. Total duration of the step
Total duration of the current selected step (with the red line on top)..
[Top]

Elapsed time from the beginning

26. Elapsed time from the beginning
Total elapsed time from the beginning of the animation.
[Top]

Total length of animation

27. Total length of animation
Total length of the animation, in seconds.
[Top]

Bench

Put a bench on the field.Note that a jump gesture is not still available in the software. You can rotate the bar with the right-button + move your mouse.
[Top]

Vertical plot

29. Vertical plot
Put a vertical plot on the field.
[Top]

Hoop

Put a hoop on the field.
[Top]

Horizontal bar

31. Horizontal bar
Put an horizontal bar. Note that a jump gesture is not still available in the software.
You can rotate the bar with the right-button + move your mouse.
[Top]

Scrum

Click on this button then at the position on the field when you want to create the scrum. The scrum-half - 9 is not created automatically.
When you create a scrum, the first step is automatically created. You must attach the ball to the player, following your needs (the 9 or the 8).
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Features


Topic: Keyboard Shortcuts

TACTIC3D Rugby Sketcher - Manuel de référence

Keyboard Shortcuts

Here the list of the keyboard shortcuts :
  • P = Play
  • Espace = Play/Stop
  • R = Record
  • Enter = run the simulation in 3D
  • T = Top view
  • S = Side view
  • Backspace = Undo
  • O = Open dialog
  • N = New tactic
  • D = Deployment dialog
  • M = Show/Hide timeline
  • L = Show/Hide pathlines
  • A = Auto attack position
  • R = Remove player
  • Suppr = delete step
  • V = Video output (only available with full options )

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation KeyboardShortcuts


Topic: List of gestures

TACTIC3D Rugby Sketcher - Manuel de référence

List of gestures

The available gestures depend of the context :
  1. if the player is moving with the ball or withotu the ball (run forward, walk backward)
  2. if the player is not moving and has the ball (a kick,a throw, ...)
  3. if the player is not moving and doesn't have the ball (lift, push, ...)
WARNING : certains gestures are impossible if the length of the current step is too short.
Example : if the duration of the step is 0.5s length, the n°2 can not throw the ball, nor a lock can jump in a such short time.

The contents of List of gestures

Player with the ball is moving
Player without the ball is moving
Player without the ball is not moving
Player with the ball is not moving

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Gestures


Topic: Player with the ball is moving

TACTIC3D Rugby Sketcher - Manuel de référence

Player with the ball is moving

Player with the ball is moving

Move forward

1. Move forward
The player is walking/jogging/running depending of his speed, the speed depends on the length of the stroke and on the duration of the step.
[Top]

Move backward

2. Move backward
The player is moving backward, in the opposite sens of the arrow.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation module_1_3_1


Topic: Player without the ball is moving

TACTIC3D Rugby Sketcher - Manuel de référence

Player without the ball is moving

Player without the ball is moving

Move forward

1. Move forward
The player is walking/jogging/running depending of his speed, the speed depends on the length of the stroke and on the duration of the step.
[Top]

Move backward

2. Move backward
The player is moving backward, in the opposite sens of the arrow.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation module_1_3_2


Topic: Player without the ball is not moving

TACTIC3D Rugby Sketcher - Manuel de référence

Player without the ball is not moving

Player without the ball is not moving

Idle

The player does nothing, just look around.
[Top]

Fake jump

2. Fake jump
Fake jump.
[Top]

Lift

The player lifts his jumper.
[Top]

Push

The player pushes (maul). Could be used as a tackle.
[Top]

Normal jump

5. Normal jump
The player jumps, catches the ball, and keeps it.
[Top]

Stride over

6. Stride over
The player strides over his partner.
[Top]

Ground

The player goes to the ground.
[Top]

Direct jump

8. Direct jump
The player jumps, catches, and does the gesture of a pass while his jump.
[Top]

Tackle bag

9. Tackle bag
The player carries a "tackle bag". Note that the player carries only the bag during the current step. You must specify that the player has the bag at each step if you want to see that the player carries the bag during several steps. So, you can define a movement with a player and a bag, the player leaves the bag, and runs to another location.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation module_1_3_3


Topic: Player with the ball is not moving

TACTIC3D Rugby Sketcher - Manuel de référence

Player with the ball is not moving

Player with the ball is not moving

Kick

The players kicks the ball (up and under for example).
[Top]

Drop

The player kick the ball as a drop.
[Top]

Lineout throw

3. Lineout throw
The player puts his arms behind his head and begins to throw.
Could be used in a first step, while the lock jumps in the following step for example.
Or you can modelize the throw and the jump is the same step.
[Top]

Fake jump

4. Fake jump
Fake jump.
[Top]

Lift

The player lifts his jumper.
[Top]

Push

The player pushes (maul). Could be used as a tackle.
[Top]

Idle

The player does nothing, just look around.
[Top]

Stride over

8. Stride over
The player does nothing, just look around.
[Top]

Ground

The player goes to the ground and leaves the ball.
[Top]

Direct jump

10. Direct jump
The player jumps, catches, and does the gesture of a pass while his jump.
[Top]

"Normal" jump

11. "Normal" jump
The player jumps, catches the ball, and keeps it.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation module_1_3_4


Topic: Integration/output of 3D animation

TACTIC3D Rugby Sketcher - Manuel de référence

Integration/output of 3D animation

You can integrate the 3D animation in differents way :

  • Call the 3d animation in an Word or Powerpoint document for example.

1) in the sharing screen (Mail icon), click on "Save local file". The t3d file will be saved under the directory HANDSketcherDocuments.
2) use the "launch external application" feature of Powerpoint, and use the following command line :
Path_of_viewer3d.exe\Tactic3dViewer.exe -t3d Path_of_t3d_file.t3d
Example :
c:\Programs\Tactic3D\Tactic3dViewer.exe -t3d c:\Programs\Tactic3D\HANDSketcherDocuments\My_Tactic_To_Win.t3d

  • Generate a video from the 3D viewer or the Sketcher software (2D)

To do this, use the "V" as Video keyboard and choose the wanted output (SD, HD, etc...). The video is generated under the Capture\videos directory.

  • Print the 2D or 3D screen

To do this, use the "V" as Video keyboard and choose the wanted output (SD, HD, etc...).
The serie of pictures is generated under the Capture\images directory.
Be carefull, it could be huge with a long animation !

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation module_1_4


Topic: Deployment

TACTIC3D Rugby Sketcher - Manuel de référence

Deployment

This feature is not enable in the demo version of this software.

The contents of Deployment

Deployment-share
Setting Deployment "FTP"
Web site deployment

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Share coach-players


Topic: Deployment-share

TACTIC3D Rugby Sketcher - Manuel de référence

Deployment-share

Team Name

1. Team Name
Corresponds to the key (generally the Team name) given with the licence by Tactic3D.
Note : a coach linked to a Team Name A will not be able to read the tactics made by a trainer with the Team Name = B.
[Top]

Name of the tactic/exercise

2. Name of the tactic/exercise
Type the name of the tactic/exercise that the players will see in their viewer.
Value required
[Top]

Validity date

3. Validity date
Date beyond which the display of the strategy to the players will not be possible (typically the end of season).
If the date is passed, the player will receive an error message explaining that the date of the tactic does not allow him to see it.
Changing the date of the machine to bypass this security is not effective ;).
Mandatory.
[Top]

FTP Settings

4. FTP Settings
Open the dialog screen that allows to set the deploy feature.
Available in the versions Pro et Classic.
[Top]

FTP On/Off

5. FTP On/Off
Enable/disable the deployment via the "FTP" mode.
For the version "Classic", the value must be ON to share animations between the coach and the players.
[Top]

Webserver On/Off

6. Webserver On/Off
Enable/disable the deployment on the web portal.
For the version "Classic", the value must be OFF. The turn-key web portal is dedicated to professionnals club or national structures.
[Top]

Category

Category under which the tactics being deployed will be classified.
Mandatory.
[Top]

Webserver settings

8. Webserver settings
Display the screen with web portal settings.
The turn-key web portal is dedicated to professionnals club or national structures.
[Top]

Deploy

Launch the deployment of the file that contains the animation. The file is put on a FTP server (that belongs to Tactic3D for the Classic version) or on a FTP server that belongs to a professionnal club or a federation.
[Top]

Back

Back to the main screen. Save the modified datas.
[Top]

The contents of Deployment-share

How to start a deployment

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Deployment


Topic: How to start a deployment

TACTIC3D Rugby Sketcher - Manuel de référence

How to start a deployment

The share allows to send the work made by the coach to his players.
You must meet these 3 conditions :
  1. The coach has the software that creates the animations/drawings (RugbySketcher.exe)
  2. The players have the software that allows to watch the animations (Tactic3DViewer sur PC, on Mac, or Iphone ou IPad -TacticRugby).
  3. The coach subscribed to Tactic3D who is in charge to host the files of the team
  4. The coach has received the address and username+password to get an access to the host server.
Steps to follow :
  1. The coach must have filled the datas sent first by Tactic3D in the "FTP Server" window. You must fill these values only once, the first time you want to deploy.
  2. The players must have filled the datas sent first by their coach in the "Settings" window (the same datas sent by Tactic3D : address+username+password). The players must fill these values only once, the first time they want to download the tactics.
For each new tactic/exercise:
  1. The coach must fill the name of the tactic AND the validity date, then click on the Deploy button.
  2. Each player must click on the Update button (with a active Internet connection of course), and will receive the update of all the tactics/exercises. This operation erases and replaces all the existing tactics on the local hard disk of the player.

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation How-to deploy


Topic: Setting Deployment "FTP"

TACTIC3D Rugby Sketcher - Manuel de référence

Setting Deployment "FTP"

Setting Deployment "FTP"

Server

Name or IP address of the computer that hosts the datas. E.g : www.myclub.com or 158.125.259.2.
For the "Classic" version, must be :
library-tactic3d.com
For the Pro version, the value can be defined by the club. Ask us at support@tactic3d.com
[Top]

Directory

Directory where are stored the tactics on the FTP server.
For the "Classic" version, must be :
/
For the Pro version, the value can be defined by the club. Ask us at support@tactic3d.com
[Top]

Port

FTP port used by the server. Obvious value is 21.
Ask us if you want to change this value for the Pro version.
[Top]

Passive mode

4. Passive mode
Transfert mode in FTP sens.
Warning : for the "Classic" version, the value must be :
On
For the Pro version, in most case, the value is on. Ask us if needed.
[Top]

Username

Name of the user who is connected to the computer that hosts the tactics.
Must be filled only one time, for the first time.
This name must be given by the coach to his players, with the password also.
It must be filled only one time by the player in his 3D viewer.
Warning : in the "classic" version, the name is provided with the license sent by Tactic3D.
This user is common to all the players.
You can securize your datas by using the validity date or by asking us to change the password. Contact us at support@tactic3d.com.
[Top]

Password

Attention : dans la version classic, il est fourni avec la licence envoyée par Tactic3D.
This name must be given by the coach to his players.
Must be filled only one time, for the first time.
Warning : in the "classic" version, the password is provided with the license sent by Tactic3D.
This user is common to all the players.
You can securize your datas by using the validity date or by asking us to change the password. Contact us at support@tactic3d.com.
For the "Pro" version, the user must exist on the FTP server and must have read/write rights on the FTP server.
[Top]

Back

Save the datas and go back to the main screen.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Setting Deployment FTP


Topic: Web site deployment

TACTIC3D Rugby Sketcher - Manuel de référence

Web site deployment

Web site deployment

Server

Address of the server that hosts the web portal. This web portal is a turn-key product provided by Tactic3D.
L'Url définit l'adresse internet où est stocké votre portail internet. Il doit être préablement installé pour pouvoir y déposer des tactiques. Le portail web est développé avec la technologie Drupal. Pour l'installation, se référer au document "installer le portail web".
The web portal must be first install to work. Ask us if you have a Pro version.
The web portal allows to deploy on a private web site.
The access is securized by the coach, who gives a login/password to each player.
The coach can watch how often a player is watching the tactics, and the last date of his connection.
The coach can sort tactics by defining categories in the web portal.
.
[Top]

Port

Port TCP/IP du site web. Obviously equal to 80.
Depending on the architecture, ask to the Tactic3D support to change this port.
[Top]

Default category

3. Default category
Category by default given to the animation in the web site.
[Top]

Back

Save and go back to the Deployment screen.
[Top]

The contents of Web site deployment

Turn-key web site

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Web site deployment


Topic: Turn-key web site

TACTIC3D Rugby Sketcher - Manuel de référence
< Previous page

Turn-key web site

Available only with the professional version or an demand with the "Classic version".
By activating this feature, the software will put the current tactic on the web site automatically.
Below, 3 caracteristics screens of the web portal :
1) connection screen for the players/coaches
2) the screen dedicated to the player who sees only his strategies.
3) the screen for the coach who has can view the same things than the players plus statistics and a screen to manage the strategies.
4) 3D visualisation from an internet browser
5) Statistics for the coach
Visualisation from a internet browser :
Statistics for the coach :

Created with help of DrExplain

< Previous page
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Siteweb